API Reference

Detailed and full API reference helps you master Tekla development

This is the most recent version of Tekla Open API.
For older versions, please visit Tekla Warehouse.

CurvedDimensionSetRadial Class

The CurvedDimensionSetRadial class defines a curved dimension set with radial reference lines.
Inheritance Hierarchy

Namespace:  Tekla.Structures.Drawing
Assembly:  Tekla.Structures.Drawing (in Tekla.Structures.Drawing.dll) Version: 2022.0.13611
Syntax
[SerializableAttribute]
public sealed class CurvedDimensionSetRadial : CurvedDimensionSetBase

The CurvedDimensionSetRadial type exposes the following members.

Properties
  NameDescription
Public propertyArcPoint1
Gets the first arc point.
(Inherited from CurvedDimensionSetBase.)
Public propertyArcPoint2
Gets the second arc point.
(Inherited from CurvedDimensionSetBase.)
Public propertyArcPoint3
Gets the third arc point.
(Inherited from CurvedDimensionSetBase.)
Public propertyAttributes
The curved dimension set radial attributes.
Public propertyDimensionPoints
Gets a list of the dimension points.
(Inherited from CurvedDimensionSetBase.)
Public propertyDistance
Gets the distance. The distance is measured in paper millimeters.
(Inherited from CurvedDimensionSetBase.)
Public propertyHideable
Accesses the information if this object is hidden or not or if it should be.
(Inherited from DimensionSetBase.)
Public propertyQueryReturnValue
Status information about the latest database operation (select, insert, modify, delete).
(Inherited from DatabaseObject.)
Top
Methods
  NameDescription
Public methodAddToDimensionSet
Adds a dimension set to the current dimension set.
(Inherited from DimensionSetBase.)
Public methodDelete
Deletes the dimension set and its child dimensions from the database.
(Inherited from CurvedDimensionSetBase.)
Public methodGetDoubleUserProperties(DictionaryString, Double)
Retrieves all double user properties for the object with the given list of names.
(Inherited from DatabaseObject.)
Public methodGetDoubleUserProperties(ListString, DictionaryString, Double)
Retrieves all double user properties for the object with the given list of names.
(Inherited from DatabaseObject.)
Public methodGetDrawing
Gets the drawing where the drawing object is.
(Inherited from DrawingObject.)
Public methodGetIntegerUserProperties(DictionaryString, Int32)
Retrieves all integer user properties for the object with the given list of names.
(Inherited from DatabaseObject.)
Public methodGetIntegerUserProperties(ListString, DictionaryString, Int32)
Retrieves all integer user properties for the object with the given list of names.
(Inherited from DatabaseObject.)
Public methodGetObjects
Gets the children straight dimensions of the current straight dimension set.
(Inherited from DimensionSetBase.)
Public methodGetObjects(Type)
Gets the children straight dimensions of the current straight dimension set that are of certain types.
(Inherited from DimensionSetBase.)
Public methodGetRelatedObjects
Gets the related objects of the current object.
(Inherited from DrawingObject.)
Public methodGetRelatedObjects(Type)
Gets the related objects of the current object that are of certain types.
(Inherited from DrawingObject.)
Public methodGetStringUserProperties(DictionaryString, String)
Retrieves all string user properties for the object with the given list of names.
(Inherited from DatabaseObject.)
Public methodGetStringUserProperties(ListString, DictionaryString, String)
Retrieves all string user properties for the object with the given list of names.
(Inherited from DatabaseObject.)
Public methodGetUserProperty(String, Double)
Gets a double property from the drawing object. The object has to be in a drawing before the method can be used.
(Inherited from DatabaseObject.)
Public methodGetUserProperty(String, Int32)
Gets an integer property from the drawing object. The object has to be in a drawing before the method can be used.
(Inherited from DatabaseObject.)
Public methodGetUserProperty(String, String)
Gets a string property from the drawing object. The object has to be in a drawing before the method can be used.
(Inherited from DatabaseObject.)
Public methodGetView
Gets the view where the drawing object is.
(Inherited from DrawingObject.)
Public methodInsert
Curved dimensions are created using the curved dimension set handler.
(Inherited from CurvedDimensionSetBase.)
Public methodIsEqual
Compares the current object with an object of the same type.
(Overrides DrawingObjectIsEqual(Object).)
Public methodIsSameDatabaseObject
Returns true if the current object and the given object are referencing the same database object.
(Inherited from DatabaseObject.)
Public methodModify
Modifies the existing dimension set in the database.
(Inherited from CurvedDimensionSetBase.)
Public methodSelect
Selects the dimension set from the database.
(Inherited from CurvedDimensionSetBase.)
Public methodSetUserProperty(String, Double)
Sets a double property for the drawing object. The object has to be in a drawing before the method can be used.
(Inherited from DatabaseObject.)
Public methodSetUserProperty(String, Int32)
Sets an integer property for the drawing object. The object has to be in a drawing before the method can be used.
(Inherited from DatabaseObject.)
Public methodSetUserProperty(String, String)
Sets a string property for the drawing object. The object has to be in a drawing before the method can be used.
(Inherited from DatabaseObject.)
Public methodToString
Changes the string presentation of the drawing object.
(Inherited from DrawingObject.)
Top
Examples
The following code asks the user to pick three points and then creates a dimension between the points with a 50 mm distance:
using Tekla.Structures.Drawing;
using Tekla.Structures.Drawing.UI;
using Tekla.Structures.Geometry3d;

public class Example
{
       static void PickPoints(int numberToPick, ref PointList pointList, ref ViewBase view)
       {
           Picker picker = new DrawingHandler().GetPicker();
           Point point;
           while (--numberToPick != -1)
           {
               picker.PickPoint("Pick point", out point, out view);
               pointList.Add(point);
           }
       }

       static void CreateDimension()
       {
           double Distance = 50.0;
           PointList pointList = new PointList();
           ViewBase view = null;
           PickPoints(3, ref pointList, ref view);
           new CurvedDimensionSetHandler().CreateCurvedDimensionSetRadial(view,
                                                                          pointList[0],
                                                                          pointList[1],
                                                                          pointList[2],
                                                                          pointList,
                                                                          Distance);
       }
}
See Also